Bug 815141 - Review Request: pyshp - Pure Python read/write support for ESRI Shapefile format
Review Request: pyshp - Pure Python read/write support for ESRI Shapefile format
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 16:42 EDT by Volker Fröhlich
Modified: 2012-06-05 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 06:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Volker Fröhlich 2012-04-22 16:42:26 EDT
Spec URL: http://www.geofrogger.net/review/pyshp.spec
SRPM URL: http://www.geofrogger.net/review/pyshp-1.1.4-1.fc16.src.rpm

Description:
Pure Python read/write support for ESRI Shapefile format


rpmlint:

pyshp.noarch: W: no-documentation
python3-pyshp.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.


Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4013593
Comment 1 Matthias Runge 2012-05-16 07:19:39 EDT
takin' this one
Comment 2 Matthias Runge 2012-05-16 08:15:59 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint pyshp-1.1.4-1.fc18.noarch.rpm

pyshp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint pyshp-1.1.4-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python3-pyshp-1.1.4-1.fc18.noarch.rpm

python3-pyshp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/815141/pyshp-1.1.4.zip :
  MD5SUM this package     : 67153ea40a3d162ce5946b23b8f67d6a
  MD5SUM upstream package : 67153ea40a3d162ce5946b23b8f67d6a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[?]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint pyshp-1.1.4-1.fc18.noarch.rpm

pyshp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint pyshp-1.1.4-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python3-pyshp-1.1.4-1.fc18.noarch.rpm

python3-pyshp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint



You should ask upstream to include a license, and you should remove egg-info in prep to make sure, it is re-generated during build.

No issues found else.

Package is APPROVED.
Comment 3 Volker Fröhlich 2012-05-18 11:13:07 EDT
Upstream will ship a license file from the next release on.

I removed the original egg-info and also added the doctests.

Thank you for the review!
Comment 4 Volker Fröhlich 2012-05-18 11:16:15 EDT
New Package SCM Request
=======================
Package Name: pyshp
Short Description: Pure Python read/write support for ESRI Shapefile format
Owners: volter
Branches: f16 f17 el6
InitialCC:
Comment 5 Jason Tibbitts 2012-05-19 14:28:31 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-19 16:50:37 EDT
pyshp-1.1.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pyshp-1.1.4-3.el6
Comment 7 Fedora Update System 2012-05-19 16:50:46 EDT
pyshp-1.1.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pyshp-1.1.4-2.fc17
Comment 8 Fedora Update System 2012-05-19 16:50:55 EDT
pyshp-1.1.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pyshp-1.1.4-2.fc16
Comment 9 Fedora Update System 2012-05-20 13:57:55 EDT
pyshp-1.1.4-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2012-05-29 06:26:51 EDT
pyshp-1.1.4-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-05-29 06:37:57 EDT
pyshp-1.1.4-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-06-05 13:05:09 EDT
pyshp-1.1.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.